package com.mortals.xhx.common.key;

/**
 * Redis缓存key定义
 */
public class RedisKey {

    /**
     * 登录  key
     */
    public static final String KEY_MENU_CACHE = "iot:base:MenuCacheKey:";
    /**
     * 设备心跳上报
     */
    public static final String KEY_DEVICE_ONLINE_CACHE = "device:online:";


    /**
     * 设备上线更新队列
     */
    public static final String KEY_DEVICE_ONLINE_QUEUE = "device:queue";


    /**
     * 设备更新队列
     */
    public static final String KEY_DEVICE_UPDATE_QUEUE = "device:update:queue";

    /**
     * 设备通知外部更新队列
     */
    public static final String KEY_DEVICE_THIRDPARTY_QUEUE = "device:thirdparty:queue";

    /**
     * 下发消息队列
     */
    public static final String KEY_DEVICE_DOWN_MSG_QUEUE = "device:down:msg:queue";

    public static final String KEY_SITE_CACHE = "siteDict";

    public static final String KEY_PLATFORM_CACHE = "platformDict";

    public static final String KEY_PRODUCT_CACHE = "productDict";

    public static final String KEY_TOKEN_API_CACHE = "token:api:";


    public static final String KEY_USER_MENU_CACHE = "user:menu";


    /**
     * 设备资源路径缓存
     */
    public static final String KEY_DEVICE_DISBUTE_PATH_CHCHE = "device:homeurl:chche:";
}
