package com.mortals.xhx.module.base.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.base.dao.BaseAreaDao;
import com.mortals.xhx.module.base.model.BaseAreaEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 区域DaoImpl DAO接口
*
* @author zxfei
* @date 2024-11-01
*/
@Repository("baseAreaDao")
public class BaseAreaDaoImpl extends BaseCRUDDaoMybatis<BaseAreaEntity,Long> implements BaseAreaDao {


    @Override
    public List<BaseAreaEntity> selectChildrenBaseAreaById(String baseAreaId) {
        return getSqlSession().selectList(getSqlId("selectChildrenBaseAreaById"), baseAreaId);
    }

}
