package com.mortals.xhx.module.setup.mode;


import lombok.Data;

import java.io.Serializable;

@Data
public abstract class BaseReq implements Serializable {
    /**
     * 当前页
     */
    private Integer page;
    /**
     * 每页条数
     */
    private Integer size;

    /**
     * db地址，默认127.0.0.1
     */
    private String dbHost;

    /**
     * db端口，默认3306
     */
    private String dbPort;

    /**
     * db名称
     */
    private String dbName;

    /**
     * db 用户名
     */
    private String userName;
    /**
     * db 密码
     */
    private String password;


    private Long id;


}
