package com.mortals.xhx.module.setup.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.setup.model.SetupProjectEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 项目工程信息视图对象
*
* @author zxfei
* @date 2024-10-21
*/
@Data
public class SetupProjectVo extends BaseEntityLong {

    /** ID,主键，自增长列表 */
    private List <Long> idList;

    /**
     * 终端访问服务端ip,可是局域网也可以是政务外网等
     */
    private String clientToServerIp;

    /**
     * 服务端内部ip,特指内网ip
     */
    private String innerServerIp;


}