package com.mortals.xhx.module.setup.service;

import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.setup.mode.DbSetupEntity;

import javax.sql.DataSource;

/**
 * 资源部署
 *
 * @author: zxfei
 * @date: 2024/9/20 10:31
 */
public interface SetupDbService {
    /**
     * 初始化db
     *
     * @param dbSetupEntity
     * @return  rest对象,包含数据库实际链接等
     */
    Rest<String> initDb(DbSetupEntity dbSetupEntity);

    /**
     * 测试数据库连接
     *
     * @param dbSetupEntity
     * @return
     */
    Rest<String> connect(DbSetupEntity dbSetupEntity);


    Rest<DataSource> getDataSource(DbSetupEntity dbSetupEntity);


}